Simplify the "Automatic translation" card
Closed, ResolvedPublic

Description

The Automatic translation card supports Machine Translation service selection for both the current paragraph and the default selection for the document. Since the selected approach was applied immediately to the current paragraph, that distinction became a bit blurry. In addition, there was not a clear policy on how to deal with user modifications that where lost at any change (T106427).

In this ticket a simpler model is proposed based on te following principles:

  • Changes affect the current paragraph by default. When selecting a different translation service or strategy only the current paragraph is affected. A "Keep as default" action is shown when a non-default option is applied to allow making this the default from the next paragraphs.
  • User modifications are preserved unless the user explicitly discards them. If I get a translation from Apertium, and I modify the content. After switching to Matxin and back to Apertium, I should get the version of the content I modified. There will be an option to reset the translation but that is not the default behaviour.

As illustrated above the changes with respect the current model are:

  • No actions are provided directly in the card for "Use source text", "Clear paragraph" or "Restore".
  • The selected options are only kept as default explicitly (using the "Keep as default option which is only shown when a non-default option is selected).
  • When users modify content, the modifications are ket associated with the current translation service. If the service is selected again, those changes are preserved.
  • When there are user modifications, a "Reset translation" option is provided in the selector. The option is provided on top and separated from the translation service selection options.

Measurements
We may want to get a better idea n how the current card is used before applying these changes. It would be good to know:

  • How much are the current direct actions ("Use source text", "Clear paragraph" or "Restore") used, since those will be moved behind the selector.
  • How often people change the default translation services. The proposed design assumes a pattern of a stable default service and occasional changes when that does not work well for a specific paragraph. We may want to get some stability on the translation services available as default (T86700) before measuring this.
Amire80 added a comment.EditedMar 22 2016, 11:27 AM

Sounds good, thank you.

An idea about keeping user modifications: can this be combined with T90161: Suggestions from multiple translation services? That is, the user modifications will be remembers and shown as one of the possibilities to fill the paragraph?

Pginer-WMF updated the task description. (Show Details)Mar 22 2016, 11:29 AM
Pginer-WMF updated the task description. (Show Details)Mar 22 2016, 11:33 AM

Sounds good, thank you.

An idea about keeping user modifications: can this be combined with T90161: Suggestions from multiple translation services?

No T90161 is about a different thing. That ticket is about highlight part of the Apertium provided indicating that other services translated that part in a different way, and allowing the user to chose an alternative for that specific word or sentence. This is technically challenging (involving diffs across translation services) and useful only when having multiple translation services for a language is the norm which is not the case yet.

About "Keep as default" - why can't we just use the last choice always? Across paragraph and across translations by remembering it? Why do we need an explicit trigger to initiate that preference storage?

Amire80 moved this task from Backlog to CX9 candidates on the ContentTranslation board.

About "Keep as default" - why can't we just use the last choice always? Across paragraph and across translations by remembering it? Why do we need an explicit trigger to initiate that preference storage?

With this card we are supporting two different scenarios:

  1. Correction. I'm happy with the current MT but for a specific content it didn't work as expected. I want to check alternatives for this specific paragraph.
  2. Preference. I want to evaluate if a MT service works better than the default. As 'm happy with the result I want to use it regularly.

Remembering the user decision automatically implies deciding which scenario to make more fluent:

  • If we remember user decisions, the first scenario requires the user to switch once for the exceptional paragraph and go back to normal on the next one. However, the second scenario is really simple.
  • If we don't remember user decisions automatically, we support the first scenario without adding extra effort while it is requires for the second one.

When thinking which scenario to optimised for I expected paragraph adjustments (influenced by content diversity) to be more frequent that changing the default MT that works best for our language. Since this is a key piece of info to make such decision, I was suggesting to make some measurements in the ticket.

If we find this part requires further evaluation, we can start by (a) remembering the user changes when an MT option is selected and (b) providing the option to reset inside the selector.

Amire80 raised the priority of this task from Normal to High.Apr 20 2016, 10:01 AM
He7d3r added a subscriber: He7d3r.May 10 2016, 7:03 PM
santhosh claimed this task.Jun 16 2016, 4:45 AM
santhosh updated the task description. (Show Details)Jun 16 2016, 4:47 AM

Change 294702 had a related patch set uploaded (by Santhosh):
WIP: Simplified MT card

https://gerrit.wikimedia.org/r/294702

From the patch:

  • With non default MT
  • Source text as option while Apertium as default option - Menu open
  • Source text as option while Apertium as default option - Menu closed. See Keep as default option
  • Apertium as option while Apertium as default option - Menu open
  • Menu after user modified translation

The restore translation is not working for "Do not use machine translation"

The restore translation is not working for "Do not use machine translation"

This is now fixed.

Change 294702 merged by jenkins-bot:
Simplified MT card with new design

https://gerrit.wikimedia.org/r/294702

Arrbee moved this task from QA to Done on the Language-Q1-2016-17 Sprint 3 board.Aug 11 2016, 8:03 AM
Arrbee closed this task as Resolved.Aug 16 2016, 6:43 AM